# $Revision: 1.17 $, $Date: 2009/01/24 22:10:18 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_without	tests		# don't run tests
#
%include	/usr/lib/rpm/macros.java
Summary:	Commons CLI - API for working with command line
Summary(pl.UTF-8):	Commons CLI - API do pracy z linią poleceń
Name:		java-commons-cli
Version:	1.1
Release:	2
License:	Apache v1.1
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/cli/source/commons-cli-%{version}-src.tar.gz
# Source0-md5:	ccc1aa194132e2387557bbb7f65391f4
Patch0:		%{name}-target.patch
URL:		http://commons.apache.org/cli/
BuildRequires:	ant
BuildRequires:	java-commons-lang
BuildRequires:	java-commons-logging
BuildRequires:	jaxp_parser_impl
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
%{?with_tests:BuildRequires:	junit}
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	jre >= 1.4
Provides:	jakarta-commons-cli
Obsoletes:	jakarta-commons-cli
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons CLI provides a simple API for working with the command
line arguments and options.

%description -l pl.UTF-8
Commons CLI dostarcza prostego API do pracy z argumentami i
opcjami linii poleceń.

%package javadoc
Summary:	Commons CLI documentation
Summary(pl.UTF-8):	Dokumentacja do Commons CLI
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-cli-doc

%description javadoc
Commons CLI documantation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons CLI.

%prep
%setup -q -n commons-cli-%{version}-src
%patch0 -p1

%build
required_jars="commons-lang"
export CLASSPATH=$(build-classpath $required_jars)
%ant dist \
	-Dnoget="true"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install dist/commons-cli-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf commons-cli-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-cli.jar

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-cli.spec,v $
Revision 1.17  2009/01/24 22:10:18  qboosh
- unified

Revision 1.16  2009/01/24 20:20:42  pawelz
- patch renamed to match spec name

Revision 1.15  2009/01/24 20:17:25  pawelz
- new names for dependencies

Revision 1.14  2009/01/24 20:16:21  pawelz
- it is no longer part of jakarta project (fixed descriptions)

Revision 1.13  2008/11/23 23:24:03  glen
- renamed to java-commons-cli.spec

Revision 1.12  2007-11-28 23:52:56  glen
- tests need junit
- compile with target 1.5

Revision 1.11  2007-11-25 22:41:30  glen
- update to 1.1

Revision 1.10  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.8  2006/12/05 21:48:11  qboosh
- comment fix

Revision 1.7  2006/12/05 21:20:17  glen
- fix build; rel 2

Revision 1.6  2006/07/05 06:43:24  czarny
- common-lang.jar build fix

Revision 1.5  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.4  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.3  2005/11/24 23:51:25  qboosh
- cosmetics

Revision 1.2  2005/11/24 20:28:40  megabajt
- add symlink to output commons-cli jar file
- rel 1

Revision 1.1  2005/11/22 20:29:21  megabajt
- init PLD release, nfy
